# Authenticatie

Chamilo ondersteunt meerdere authenticatiemethoden, van het ingebouwde gebruikersnaam/wachtwoord-systeem tot enterprise single sign-on oplossingen.

## Configuratiebestand

Alle externe authenticatiemethoden worden geconfigureerd in `config/authentication.yaml`. Een sjabloon is beschikbaar op `config/authentication.dist.yaml`. De algemene structuur is:

```yaml
parameters:
  authentication:
    <access_url_id>:
      <auth_method>:
        <provider_name>:
          <config_key>: <value>
```

Na het bewerken van het bestand, leeg en verwarm de cache:

```bash
php bin/console cache:clear
php bin/console cache:warmup
```

Externe inlogknoppen verschijnen op de inlogpagina nadat de cache is vernieuwd.

## Ondersteunde methoden

* [**OAuth2**](/2.x-nl/beheerdershandleiding/admin-guide/authentication/oauth2.md) — Azure AD, Keycloak, Facebook en generieke OAuth2-providers
* [**LDAP**](/2.x-nl/beheerdershandleiding/admin-guide/authentication/ldap.md) — Authenticatie tegen een LDAP- of Active Directory-server
* [**CAS**](/2.x-nl/beheerdershandleiding/admin-guide/authentication/cas.md) — Central Authentication Service (verouderd, niet functioneel in 2.x)
* [**SCIM**](/2.x-nl/beheerdershandleiding/admin-guide/authentication/scim.md) — Geautomatiseerde gebruikersvoorziening vanuit externe identiteitsproviders
* [**SSO-configuratie**](/2.x-nl/beheerdershandleiding/admin-guide/authentication/sso-configuration.md) — Probleemoplossing en notities over verschillende methoden

## Standaard authenticatie

Standaard gebruikt Chamilo zijn eigen interne systeem — gebruikers loggen in met een gebruikersnaam en wachtwoord die zijn opgeslagen in de Chamilo-database. Externe methoden zijn aanvullend: het standaard inlogformulier blijft beschikbaar naast eventueel geconfigureerde providers.

## Verdere referentie

Voor een volledige parameterreferentie en geavanceerde scenario's, zie de [Externe Authenticatie configuratie wiki-pagina](https://github.com/chamilo/chamilo-lms/wiki/External-Authentication-configuration).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-nl/beheerdershandleiding/admin-guide/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
